For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet vaults
        • POSTCreate vault
        • GETGet vault account summary
        • GETGet combined vault-level and substrategy analytics for a vault
        • GETGet vault balances
        • GETGet vaults config
        • GETGet vault historical data
        • GETGet vaults owned or operated by the authenticated account
        • GETGet vault positions
        • GETGet vault summary
        • GETGet vault transfers
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceVaults

Get vaults owned or operated by the authenticated account

GET
https://api.prod.paradex.trade/v1/vaults/mine
GET
/v1/vaults/mine
$curl https://api.prod.paradex.trade/v1/vaults/mine \
> -H "Authorization: <apiKey>"
1{
2 "results": [
3 {
4 "address": "0x1234567890abcdef",
5 "created_at": 1517171717,
6 "curator_name": "Some Curator",
7 "description": "My description",
8 "kind": "user",
9 "last_updated_at": 1617171717,
10 "lockup_period": 1,
11 "max_tvl": 1000000,
12 "name": "MyVault",
13 "operator_account": "0x1234567890abcdef",
14 "owner_account": "0x0234567890abcdef",
15 "profit_share": 10,
16 "status": "ACTIVE",
17 "strategies": [
18 {
19 "address": "0x29464b79b02543ed8746bba6e71c8a15401dd27b7279a5fa2f2fe8e8cdfabb",
20 "name": "Alpha Strategy"
21 }
22 ],
23 "strategy_description": "Delta Neutral",
24 "token_address": "string"
25 }
26 ]
27}

Returns all vaults (any status) where the caller is the operator or owner. It includes vaults not active yet, like initializing or pending initial deposit.

Was this page helpful?
Previous

Get vault positions

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

OK
resultslist of objects
Array of results

Errors

401
Unauthorized Error